KJL BUGS - Bug #2762

[HR-Attendance Recap] employee memiliki working schedule lebih dari 1 tetapi tidak terbaca hasil
nya di report
05/21/2024 02:26 PM - Muhammad Bintar

Status: Closed Start date: 05/21/2024
Priority: High Due date: 05/27/2024
Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour

Description

dear tim developer mohon support nya untuk perbaikan pada SP report attendance recap dimana jika mengisi filter tanggal 22 april
sampai 21 mei maka hasil nya tidak muncul. tetapi jika mengisi 1 mei sampai 21 mei maka attendance nya muncul.

contohnya nanti bisa pakai query yang ane kasih di bawabh ini:
ORDER BY cal.EmployeeID ,
cal.DateSpecified ASC

--select * from PHRPA®819
drop table #MinutesTable

drop table #MinutesTable2
drop table #MinutesTable3
drop table #MinutesTable4
JJDECLARE @0rganization VARCHAR(S) = '’
DECLARE @StartDate VARCHAR(8) = 28248581
DECLARE (@EndDate VARCHAR(8) = '208248521°
DECLARE (@CompanyID VARCHAR(S) = 'le@ee’
DECLARE (@EmployeeArea WARCHAR(18) = "'
DECLARE @EmployeeOffice VARCHAR(18) = "'
DECLARE (@EmployeeID VARCHAR(18) = '"17a3@a2l’
DECLARE (@enuIl VARCHAR(1l@) = 'TMR2@az’
DECI ARF fill=serTD WARCHAR(1AY = 'shafwan' -
100% - 4 3
BR Results B Messages
GroupSe DateSpecified  EmployeelD  letterDatel letterDate 2 seq  stdt endt StartDate  EndDate StartTime  EndTime  AttendanceType  Cre
1 | 20240501 17030021 01 May 2024 21 May 2024 01/05/2024  01/05/2024 20240501 20240501 08.06 14.08 1000 20
21 20240502 17030021 01 May 2024 21 May 2024 02/05/2024 02/05/2024 20240502 20240502 05.46 1451 5500 20
301 20240503 17030021 01 May 2024 21 May 2024 03/05/2024 03/05/2024 20240503 20240503 0539 1453 5500 20;
4 1 20240504 17030021 01 May 2024 21 May 2024 04/05/2024  04/05/2024 20240504 20240504 05.41 1434 5500 20
5 1 20240505 17030021 01 May 2024 21 May 2024 05/05/2024 06/05/2024 20240505 20240506 2133 06.41 3000 20;
£ 1 20240506 17030021 01 May 2024 21 May 2024 06/05/2024 07/05/2024 20240506 20240507 2128 0636 8000 20
7001 20240507 17030021 01 May 2024 21 May 2024 07/05/2024  08/05/2024 20240507 20240508 21.40 0640 8000 20
n g 1 20240508 17030021 01 May 2024 21 May 2024 08/05/2024 09/05/2024 20240508 20240509 2132 0653 8000 20;
5 1 20240509 17030021 01 May 2024 21 May 2024 09/05/2024  10/05/2024 20240509 20240510 2126 0653 8000 20
01 20240510 17030021 01 May 2024 21 May 2024 10/05/2024  11/05/2024 20240510 20240511  21.36 0645 8000 20;
History
#1 - 05/21/2024 05:05 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned
- Priority changed from Normal to High
#2 - 06/03/2024 03:17 PM - shofwan shiddiq
- Status changed from Assigned to QA Test
- Assignee changed from shofwan shiddiq to Muhammad Bintar
Dear Mas Bintar, validasi pengecekan data penarikan absen terhadap periode working schedule sudah di matikan
SP: PRPTTMATTENDANCE
#3 - 06/03/2024 05:29 PM - Muhammad Bintar
- Status changed from QA Test to Closed
- Assignee changed from Muhammad Bintar to shofwan shiddiq
okeh sudah di deploy ..
